Bug 257787 - security/snort3: Update to 3.1.10.0
Summary: security/snort3: Update to 3.1.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-12 14:11 UTC by Dan Langille
Modified: 2021-09-09 13:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
update to 3.1.10.0 (1.71 KB, patch)
2021-08-12 14:11 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille freebsd_committer 2021-08-12 14:11:32 UTC
Created attachment 227130 [details]
update to 3.1.10.0

re https://github.com/snort3/snort3/releases/tag/3.1.10.0
Comment 1 Dan Langille freebsd_committer 2021-08-31 13:15:29 UTC
maintainer timeout. Proceeding with permission after conversation via private email.
Comment 2 Dan Langille freebsd_committer 2021-08-31 20:53:47 UTC
This is broken on FreeBDS 11.4 and FreeBSD 12.2:

https://github.com/snort3/snort3/issues/210
Comment 3 Dan Langille freebsd_committer 2021-09-09 13:05:40 UTC
Yesterday, a new version of snort was released: 3.1.12.0

I was able to patch snort, with bapt@'s help, and get it to compile: https://cgit.freebsd.org/ports/diff/security/snort3/files/patch-src_control_control.h?id=fb0f6cdfd018b7f9ca2fc2a10ddf6dc25b771077

This was worked on yesterday. I did not acknowledge this PR in the commits. I forgot the PR existed.

net/libdaq was updated (needed for new snort3 version):

https://cgit.freebsd.org/ports/commit/?id=569ce8268e0c4f8106559aaf3df6787c248c1664


security/snort3:

https://cgit.freebsd.org/ports/commit/?id=fb0f6cdfd018b7f9ca2fc2a10ddf6dc25b771077